Skip to main content
GET
/
project-invoice-milestones
/
{id}
Get a project invoice milestone
curl --request GET \
  --url https://www.ruddr.io/api/workspace/project-invoice-milestones/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "c6a3ccb8-6a50-49f7-af88-fedf4d4d1b24",
  "typeId": "recurring",
  "date": "2026-06-30",
  "quantity": 10,
  "rate": 2650,
  "fee": 26500,
  "name": "Monthly Services - June 2026",
  "createdAt": "2026-02-25T17:42:21.203Z",
  "invoiceItem": {
    "id": "aba04832-216c-463e-8998-c520948f707c",
    "name": "Consulting Services"
  },
  "project": {
    "id": "d077258e-2158-4f34-aabd-97e971d0c18d",
    "name": "Cloud Infrastructure Services",
    "client": {
      "id": "aa39afdb-e168-4956-b061-41c7c62e8c2e",
      "name": "Paul's Boutique"
    }
  },
  "invoiced": false
}
Scheduled invoicing for a fixed fee project. This is only available for projects that have a billing type of “fixed” or “fixed_recurring”.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The project invoice milestone uuid

Response

200

id
string

The unique identifier for the object.

typeId
enum<string>

The type of invoice milestone. Identifies whether the milestone is one-off ("custom", the default) or recurring ("recurring").

Available options:
custom,
recurring
date
string<date>

The date of the milestone. Will be in the form YYYY-MM-DD.

quantity
number | null

The quantity used to calculate the fee.

rate
number | null

The rate used to calculate the fee.

fee
number

The total amount for the milestone.

name
string

The name of the milestone.

createdAt
string<date-time>

The timestamp when the object was created.

invoiceItem
object

The invoice item associated with this milestone.

project
object

The project this milestone belongs to.

invoiced
boolean

Whether the milestone has been invoiced.